LINUX.ORG.RU

Установка rpm в CentOS

 ,


0

1

Доброе время суток, потребовалось установить rpm пакет со стороны. При установке появляются зависимости вида mvn(org.apache....)

Что с ними делать совсем не понятно. Подскажите? Пакет брался с fedora 22.

Ответ на: комментарий от vanoc

Пытаюсь установить ftp://rpmfind.net/linux/fedora-secondary/development/rawhide/s390/os/Packages...

на Centos 7:

rpm -ivh gpars-1.2.1-3.fc23.noarch.rpm 
warning: gpars-1.2.1-3.fc23.noarch.rpm: Header V3 RSA/SHA1 Signature, key ID 873529b8: NOKEY
error: Failed dependencies:
	mvn(org.codehaus.groovy:groovy-all) is needed by gpars-1.2.1-3.fc23.noarch
	mvn(org.codehaus.jcsp:jcsp) is needed by gpars-1.2.1-3.fc23.noarch
	mvn(org.codehaus.jsr166-mirror:extra166y) is needed by gpars-1.2.1-3.fc23.noarch
	mvn(org.jboss.netty:netty:3) is needed by gpars-1.2.1-3.fc23.noarch
	mvn(org.multiverse:multiverse-core) is needed by gpars-1.2.1-3.fc23.noarch

Dramokl ()
Ответ на: комментарий от Dramokl

Попробуйте через «yum install gpars-1.2.1-3.fc23.noarch.rpm». Если зависимости доступны в подключенных репах, он их поставит. Если же нет, ищите необходимые пакеты рядом с первым.

MumiyTroll ★★★ ()
Ответ на: комментарий от Dramokl

Есть предположение, что есть хитрая интеграция с Maven в rpm....

Вполне штатная, там достаточно написать в зависимости от требований.

Requires: mvn(...)
Provides: mvn(...)
Так сказать аналог pkg-config.

dinn ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.